Bug ID 767689: F5optics_install using different versions of RPM

Last Modified: Mar 03, 2020

Bug Tracker

Affected Product:  See more info
BIG-IP Install/Upgrade(all modules)

Known Affected Versions:
14.1.0, 14.1.0.1, 14.1.0.2, 14.1.0.3, 14.1.0.4, 14.1.0.5, 14.1.0.6, 14.1.2, 14.1.2.1, 14.1.2.2, 14.1.2.3

Fixed In:
15.0.0

Opened: Apr 02, 2019
Severity: 2-Critical

Symptoms

Symptoms have been observed only in one case: A bare metal install to BIG-IP 14.1.0. In this case, a messages indicating the RPM database under /shared is corrupted.

Impact

The /shared/lib/rpm database must be recreated and f5optics manually installed.

Conditions

Bare metal installation via PXE boot or USB install.

Workaround

1. Backup the current Packages file: cp /shared/lib/rpm/Packages /shared/tmp/ 2. Remove all the files from the database directory" rm -f /shared/lib/rpm/* 3. Initiate the database by using the old version RPM: /opt/bin/rpm --dbpath /shared/lib/rpm --initdb 4. Restore the Packages file (Press 'y' when promoted by 'cp: overwrite'): cp /shared/tmp/ /shared/lib/rpm/Packages Now you should be able to install the package.

Fix Information

With these changes, the corruption of the /shared/lib/rpm database is no longer observed.

Behavior Change